MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025027Open CASCADE[OCCT] OCCT:Visualizationpublic2014-06-20 11:302014-11-11 12:52
Reporteranv 
Assigned Toapn 
PrioritynormalSeveritytrivial 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0025027: Visualization - 2D layer viewport is updated incorrectly on resize
DescriptionAfter resizing viewer to irregular quadrangle and updating it (e.g. displaying object, highlighting object etc.) ColorScale changes it position and in case of flattened viewer exceed its bounds.

The reason is misprint in Visual3d_ViewManager::Redraw() method
      anIter.Value()->Window()->Size (aWidth, aHeight);
      aWidthMax  = Max (aWidthMax,  aWidth);
      aHeightMax = Max (aHeightMax, aWidth);
Steps To Reproduce- create colorscale
- flatten the viewer (change aspect ratio)
- create any object (e.g. box)

pload MODELING VISUALIZATION
box b 1 2 3
vinit w=1024 h=512
vsetdispmode 1
vdisplay b
vfit
vcolorscale 10 20 100 16 2 0 0
vmoveto 512 250

Note that the problem does not appear on screenshot - only during interactive execution.
TagsNo tags attached.
Test case numberbugs vis(004) bug25027
Attached Files

- Relationships

-  Notes
(0029849)
kgv (developer)
2014-06-20 12:02

Dear bugmaster,

please test patch in branch CR25027.
Please move bug to Open CASCADE project.
(0029860)
mkv (tester)
2014-06-23 17:55

Dear BugMaster,

Branch CR25027 (and products from GIT master) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: 994140336646ebb057d6fe776aaae5041b750315

Number of compiler warnings:

occt component :
Linux: 16 (16 on master)
Windows: 0 (0 on master)
MacOS: 200 (203 on master)

products component :
Linux: 11 (11 on master)
Windows: 2 (2 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
http://occt-tests/CR25027-master-occt/Debian60-64/bugs/vis/bug25027.html [^]
bugs vis(004) bug25027: OK

Testing on Linux:
Total MEMORY difference: 348472780 / 348636364
Total CPU difference: 50711.62000000006 / 51365.12000000003

Testing on Windows:

Total MEMORY difference: 376292496 / 376872500
Total CPU difference: 37757.015625 / 38774.78125
There are no differences in images found by testdiff.

- Related Changesets
occt: master c1c1aefa
Timestamp: 2014-06-26 08:50:30
Author: kgv
Committer: apn
Details ] Diff ]
0025027: Visualization - 2D layer viewport is updated incorrectly on resize

Test case for issue CR25027
mod - src/Visual3d/Visual3d_ViewManager.cxx Diff ] File ]
add - tests/bugs/vis/bug25027 Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-06-20 11:30 anv New Issue
2014-06-20 11:30 anv Assigned To => anv
2014-06-20 11:50 anv Assigned To anv => kgv
2014-06-20 11:54 kgv Status new => assigned
2014-06-20 11:54 kgv Product Version 6.7.1 =>
2014-06-20 11:54 kgv Target Version => 6.8.0
2014-06-20 11:54 kgv Summary Problem with ColorScale positioning => Visualization - 2D layer viewport is updated incorrectly on resize
2014-06-20 11:54 kgv Steps to Reproduce Updated View Revisions
2014-06-20 12:01 kgv Relationship added related to 0024637
2014-06-20 12:02 kgv Note Added: 0029849
2014-06-20 12:02 kgv Assigned To kgv => bugmaster
2014-06-20 12:02 kgv Status assigned => resolved
2014-06-20 12:02 kgv Status resolved => reviewed
2014-06-20 12:03 kgv Description Updated View Revisions
2014-06-20 12:39 mkv Assigned To bugmaster => mkv
2014-06-20 13:00 kgv Severity minor => trivial
2014-06-20 14:13 kgv Steps to Reproduce Updated View Revisions
2014-06-20 14:13 kgv Steps to Reproduce Updated View Revisions
2014-06-23 17:55 mkv Note Added: 0029860
2014-06-23 17:55 mkv Test case number => bugs vis(004) bug25027
2014-06-23 17:55 mkv Assigned To mkv => bugmaster
2014-06-23 17:55 mkv Status reviewed => tested
2014-06-26 12:43 bugmaster Project Internal => Open CASCADE
2014-06-27 16:27 apn Changeset attached => occt master c1c1aefa
2014-06-27 16:27 apn Assigned To bugmaster => apn
2014-06-27 16:27 apn Status tested => verified
2014-06-27 16:27 apn Resolution open => fixed
2014-11-11 12:46 aiv Fixed in Version => 6.8.0
2014-11-11 12:52 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker